unit Unit1; 

{$mode objfpc}{$H+}

interface

uses
  Classes, SysUtils, LResources, Forms, Controls, Graphics, Dialogs,
  SqlitePassDbo, DbCtrls, db, DBGrids, ExtCtrls, Buttons, SqlitePassChooseDatasetDialog,
  StdCtrls, fieldseditor;

type

  { TForm1 }

  TForm1 = class(TForm)
    Button1: TButton;
    Button5: TButton;
    Memo1: TMemo;
    Splitter1: TSplitter;
    SqlitePassDatabase1: TSqlitePassDatabase;
    SqlitePassDataset1: TSqlitePassDataset;
    Datasource1: TDatasource;
    DBGrid1: TDBGrid;
    DBNavigator1: TDBNavigator;
    BtnChangeDataset: TButton;
    Button2: TButton;
    Button3: TButton;
    BtnOpenDb: TButton;
    Panel1: TPanel;
    
    procedure BtnChangeDatasetClick(Sender: TObject);
    procedure Button1Click(Sender: TObject);
    procedure Button2Click(Sender: TObject);
    procedure Button3Click(Sender: TObject);
    procedure BtnOpenDbClick(Sender: TObject);
    procedure Button5Click(Sender: TObject);
    procedure DBGrid1CellClick(Column: TColumn);
  private
    { private declarations }
  public
    { public declarations }
  end; 

var
  Form1: TForm1; 

implementation

{ TForm1 }

procedure TForm1.BtnChangeDatasetClick(Sender: TObject);
var
F: TSqlitePassChooseDatasetDialog;
Dataset: TSqlitePassDataset;
begin
F := TSqlitePassChooseDatasetDialog.Create(Self, Dataset);
if (F.ShowModal = mrOk)
   then begin
        SqlitePassDataset1.Close;
        SqlitePassDataset1.DatasetName := F.Tv.Selected.Text;
        SqlitePassDataset1.Open;
        //SetStrValue(F.Tv.Selected.Text);
        end;
F.Free;
End;

procedure TForm1.Button1Click(Sender: TObject);
var
F: TDSFieldsEditorFrm;
begin
F := TDSFieldsEditorFrm.create(Self, SqlitePassDataset1, nil);
F.Free;
end;

procedure TForm1.Button2Click(Sender: TObject);
begin
 SqlitePassDataset1.Close;
 SqlitePassDataset1.DatasetName := 'biolife';
 Datasource1.DataSet := SqlitePassDataset1;
 SqlitePassDataset1.Open;
 SqlitePassDataset1.First;
end;

procedure TForm1.Button3Click(Sender: TObject);
begin
  SqlitePassDataset1.Close;
end;

procedure TForm1.BtnOpenDbClick(Sender: TObject);
begin
  SqlitePassDatabase1.Open;
end;

procedure TForm1.Button5Click(Sender: TObject);
begin
  SqlitePassDatabase1.Close;
end;

procedure TForm1.DBGrid1CellClick(Column: TColumn);
begin

end;

initialization
  {$I unit1.lrs}

end.

